﻿using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Example
{
	public partial class MainPage : UserControl
	{
		// NOTE: To compile this example you need to add a proper reference to the "arial.ttf" or other TrueType font file and set its "Build Action" to "Embedded Resource".
		// Also change the path of the EmbeddedResource below to reflect the actual embedded font name.

		private static EmbeddedResource Arial = new EmbeddedResource("Siberix.arial.ttf");

		public MainPage()
		{
			InitializeComponent();
		}

		private void btn1_Click(object sender, RoutedEventArgs e)
		{
			SaveFileDialog sfd = new SaveFileDialog();

			sfd.Filter = "PDF Files (.pdf)|*.pdf";
			sfd.FilterIndex = 1;
			sfd.DefaultExt = "*.pdf";

			bool? result = sfd.ShowDialog();

			if ((result != null) && (result == true))
			{
				Stream stream = sfd.OpenFile();

				// Report
				Siberix.Report.Report report = new Siberix.Report.Report();

				// Info
				report.Info.Title = "Example";
				report.Info.Author = "Siberix Technologies, Canada";
				report.Info.Creator = "Siberix Report Writer";
				report.Info.Copyright = "2003-2010 Siberix Technologies, Canada";

				// Section
				Siberix.Report.Section.ISection section = report.AddSection();
				section.Size = Siberix.Report.PageSize.Letter;
				section.Spacings.All = 35;

				// Styles
				Siberix.Report.Text.Style style1 = new Siberix.Report.Text.Style(new Siberix.Graphics.Font(Arial.Stream, 80), Siberix.Graphics.Brushes.DarkBlue);

				Siberix.Report.Text.IText text = section.AddText();
				text.Style = style1;
				text.Width = new Siberix.Report.RelativeWidth(100);
				text.Alignment = Siberix.Report.TextAlignment.Center;
				text.Spacings.Top = 150;
				text.AddContent("Hello PDF");

				// Publish
				report.Publish(stream, Siberix.Report.FileFormat.PDF);

				stream.Close();
			}
		}
	}
}